
Foreman - Bug #12963

after adding a smart proxy, the status icons in the list view don't update

12/31/2015 02:19 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Smart Proxy   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3013

  

Description

the status column displays spinners and does not refresh

Related issues:

Related to Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015

Associated revisions

Revision 7995e690 - 12/31/2015 08:39 AM - Tomer Brisker

Fixes #12963 - correctly show status on proxy list after adding proxy

Any event that needs to automatically trigger on load should be bound to

`ContentLoad` and not `document.load` to correctly handle twopane.

Also, a bit of js cleanup.

History

#1 - 12/31/2015 02:19 AM - Tomer Brisker

- Related to Tracker #12507: Smart Proxy UX improvments added

#2 - 12/31/2015 03:09 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3013 added

#3 - 12/31/2015 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7995e690514ebea341ebc8b79f5b2cfc980b007d.

#4 - 01/04/2016 02:53 AM - Dominic Cleal

- translation missing: en.field_release set to 71
